Bug 8813 - Неверные пути поиска libGL.so.*
: Неверные пути поиска libGL.so.*
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/celestia)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-08 19:11 by
Modified: 2006-08-24 20:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-08 19:11:50
После установки Xorg7.0 и сопутствующего celestia не запускается:
thresh@snowflake ~ $ celestia
Unable to resolve GL/GLX symbols - please check your GL library installation.
celestia: ERROR: Communication problem with celestia, it probably crashed.

в strace:
3869  access("/usr/X11R6/lib/libGL.so.1", F_OK) = -1 ENOENT (No such file or
directory)
3869  access("/usr/X11R6/lib/libGL.so.1.so", F_OK) = -1 ENOENT (No such file or
directory)
3869  access("/usr/X11R6/lib/liblibGL.so.1.so", F_OK) = -1 ENOENT (No such file
or directory)
3869  open("/usr/X11R6/lib/liblibGL.so.1.so", O_RDONLY) = -1 ENOENT (No such
file or directory)
3869  write(2, "Unable to resolve GL/GLX symbols"..., 78) = 78
------- Comment #1 From 2006-01-25 18:14:53 -------
пересобрал новую версию с новыми иксами -- сильно легче не стало.
сижу разбираюсь в чем дело.

genix@horohorin ~/tmp/celestia-1.4.0 $ grep -i 'GL' celestia.log
open("/usr/lib/libGLU.so.1", O_RDONLY)  = 3
open("/usr/lib/libGL.so.1", O_RDONLY)   = 3
open("/usr/lib/libGLcore.so.1", O_RDONLY) = 3
------- Comment #2 From 2006-02-16 12:44:54 -------
(In reply to comment #1)
> сижу разбираюсь в чем дело.

обновился (повторно) до сизифа -- работает (1.4.0).
кой-чего проверю/исправлю и выкину в сизиф.
------- Comment #3 From 2006-08-18 22:09:01 -------
1.4.1 в порядке, можно RESOLVED FIXED :)
------- Comment #4 From 2006-08-19 20:13:21 -------
спасибо! ;)